Page MenuHomePhabricator

Create the first bureaucrat/sysop/interface editor for Wikimania wiki so the community can bootstrap itself
Closed, ResolvedPublic

Description

I'm happy to be the initial power user (User:jdforrester), as on several previous Wikimania wikis, and will hand off to WMSE etc. when they're ready.

Event Timeline

This is something that can be done by the stewards.

Yup, but we normally do it as part of the wiki creation process.

We normally delegate this to the stewards. I see no record about promoting an account to a bureaucrat in T155038. On the other hand, I can see couple of accepted requests for permission on Meta. AFAIK this is done as part of the wiki creation process only for private/fishbowl wikis, because stewards can't create an account there (although they can assign rights for accounts that are already there).

I can talk about stewardry processes from a previous life, they are looking for a process to know that an authority process has been undertaken. I would suggest that initially some names are put forward to be crats and approved here on phab. I would suggest that any admin rights can be managed through this ticket for the foreseeable future, and that they are set time limited (up to one year). The rights process for a permanent wikimaniawiki can be developed as things progress.

If you are looking at least for a temporary hand, happy to do that for a while and reviewable once things are more settled. (Noting that I have been editing the wiki with my global admin and interface rights) and at this stage translator admin rights are going to be needed soon.

Stryn added a subscriber: Stryn.Jan 29 2019, 3:40 PM
Jopparn added a subscriber: Jopparn.

Can I start off with asking for full import rights, so I can import translated labels for Commons gadgets. Doing them all by hand (with my typing) will just introduce errors.

Trizek added a subscriber: Trizek.Jan 31 2019, 11:27 PM

I would suggest that any admin rights can be managed through this ticket for the foreseeable future [...]

Excellent idea. As I can work on translations, I'm looking for translation admin rights (I have them on Meta). If possible, I would request sysop rights, which is always convenient to have when you work on translations (I have those rights on fr.wp).

I would suggest that any admin rights can be managed through this ticket for the foreseeable future [...]

Excellent idea. As I can work on translations, I'm looking for translation admin rights (I have them on Meta). If possible, I would request sysop rights, which is always convenient to have when you work on translations (I have those rights on fr.wp).

I am guessing that hosting organisation (WMSE in this case) is the final authority to approve rights, though I am not sure what is happening offwiki/offphab in that regard. @Eric_Luth_WMSE tell us what you want to delegate, and we will keep within those boundaries.

I'm just making public what I've explained to Eric when I volunteered. :)

This comment was removed by Billinghurst.

@Billinghurst It would be great if the WMSE employees had admin rights in order to do smaller tasks until the next host organization takes over, but my goal is that the main work is carried out by volunteers. Thus, I'd like to delegate as much as possible. In the case that there's crucial tasks that no volunteers want to do, we do have capacity at the office.

@Billinghurst It would be great if the WMSE employees had admin rights in order to do smaller tasks until the next host organization takes over, but my goal is that the main work is carried out by volunteers. Thus, I'd like to delegate as much as possible. In the case that there's crucial tasks that no volunteers want to do, we do have capacity at the office.

I would think that WMSE would identify whoever they wish to have admin rights, you are the hosts, and the rest here to support

If that is the case, maybe I can suggest initially we request from WMF stewards the following allocations

  • bureaucrats: Billinghurst, Jdforrester, Eric Luth (WMSE)‎ — appointment/removal on the direction of WMSE, or subsequent WM organising committees
  • importer: Billinghurst, Trizek — allowing us to bring in xml files for mediawiki ns: and translation: ns files, and these are allocated for a period of 6 months; renewable if required

That will allow local assignation

  • administrators: Trizek, Eric Luth (WMSE)‎ (more will be required as page protections will needed, and managed)
  • translation administrators (currently): Trizek, Billinghurst, (more will be required, rights allocated by admins)
  • interface editors (approval following request on this phab) : These will be needed to manage js/css, I have global rights, guessing James does too

and until decided otherwise on request and approval here on this phab ticket, and until a place is set up onwiki and a process is agreed.

At this stage, I would think that WMSE will provide a list, via yourself, of those requiring rights.

@Billinghurst 's proposal seems reasonable. Such a structure is something along the lines of what I envisioned.

@Billinghurst 's proposal seems reasonable. Such a structure is something along the lines of what I envisioned.

rights requested https://meta.wikimedia.org/wiki/special:diff/18837115/prev

@Billinghurst 's proposal seems reasonable. Such a structure is something along the lines of what I envisioned.

rights requested https://meta.wikimedia.org/wiki/special:diff/18837115/prev

'crats assigned

<StewardBot> HakanIST changed user rights for Billinghurst@wikimaniawiki from (none) to bureaucrat with the following comment: per [[Special:Permalink/18837267]] and [[phab:T214704#4921454]]
<StewardBot> HakanIST changed user rights for Jdforrester@wikimaniawiki from (none) to bureaucrat with the following comment: per [[Special:Permalink/18837267]] and [[phab:T214704#4921454]]
<StewardBot> HakanIST changed user rights for Eric Luth (WMSE)@wikimaniawiki from (none) to bureaucrat with the following comment: per [[Special:Permalink/18837267]] and [[phab:T214704#4921454]]

Import rights done @Trizek

<StewardBot> QuiteUnusual changed user rights for Billinghurst@wikimaniawiki from bureaucrat to bureaucrat, import (expiry: 13:33, 01 August 2019) with the following comment: https://meta.wikimedia.org/w/index.php?title=Steward_requests%2FPermissions&type=revision&diff=18837402&oldid=18837300
<StewardBot> QuiteUnusual changed user rights for Trizek@wikimaniawiki from sysop, translationadmin to sysop, translationadmin, import (expiry: 13:34, 01 August 2019) with the following comment: https://meta.wikimedia.org/w/index.php?title=Steward_requests%2FPermissions&type=revision&diff=18837402&oldid=18837300

Urbanecm closed this task as Resolved.Feb 1 2019, 2:36 PM

I think we can call this task as resolved. Thank you!